package org.chenyang.http.pool;

import org.chenyang.http.concurrent.FutureCallback;
import java.util.concurrent.Future;

public interface ConnPool<T, E> {
   Future<E> lease(T var1, Object var2, FutureCallback<E> var3);

   void release(E var1, boolean var2);
}
